com.mysql.jdbc

## Class Collation

- java.lang.Object
- - com.mysql.jdbc.Collation

     class Collation
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `charsetName`
`java.lang.String` `collationName`
`int` `index`
`java.lang.String` `javaCharsetName`

### Constructor Summary

Constructors
Constructor and Description
`Collation(int index, java.lang.String collationName, java.lang.String charsetName)`
`Collation(int index, java.lang.String collationName, java.lang.String charsetName, java.lang.String javaCharsetName)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### index

    public int index

#### collationName

    public java.lang.String collationName

#### charsetName

    public java.lang.String charsetName

#### javaCharsetName

    public java.lang.String javaCharsetName

### Constructor Detail

#### Collation

    public Collation(int index,
             java.lang.String collationName,
             java.lang.String charsetName)

#### Collation

    public Collation(int index,
             java.lang.String collationName,
             java.lang.String charsetName,
             java.lang.String javaCharsetName)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`